Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002698Piwigoalbumspublic2012.07.16 15:212012.07.19 10:51
ReporterGoulou 
Assigned Toflop25 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformFirefoxOSLinuxOS VersionFedora 17 x86_64
Product Version2.4.1 
Target VersionFixed in Version2.4.2 
Summary0002698: When hitting "return" in name field (album creation), the album does not get created.
DescriptionWhen I hit return in the name field (instead of clicking the "Create" button), the album does not get created.
Instead, the page reloads and the message "L'ordre manuel des albums a été sauvegardé" shows up on top of page. (=Manual order of albums has been saved)
Steps To ReproduceIn administration, go to "Administer sub albums" of any albums.
Click "create a new album"
Enter any album name
Hit enter
Additional InformationClicking "Create" works fine, but this is annoying...
TagsNo tags attached.
browserMozilla
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Filespng file icon localhost screen capture 2012-7-18-17-31-39.png [^] (54,058 bytes) 2012.07.18 17:33


png file icon localhost screen capture 2012-7-18-17-31-47.png [^] (57,709 bytes) 2012.07.18 17:33

- Relationships

-  Notes
(0006482)
svn (reporter)
2012.07.18 16:33

[Subversion] r16825 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2698
moving the forms
(0006483)
svn (reporter)
2012.07.18 16:35

[Subversion] r16826 by flop25 on branch 2.4

-----[Subversion commit log]----------------------------------------------------
merge r16825 from trunk to 2.4 branch
bug:2698
moving the forms
(0006485)
plg (manager)
2012.07.18 17:33

On Linux Firefox 14, the display is completely modified compared to 2.4.1. And it's not "better at all", see my screenshots.
(0006486)
plg (manager)
2012.07.18 17:36

Behavior is identical on Chromium.
(0006487)
svn (reporter)
2012.07.18 18:19

[Subversion] r16827 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2698
2 id identical
fieldset instead of a span
moving up the field for autoorder
hiding the link to set a autoorder if there is no album (clicking on it didn't do anything)
(0006488)
svn (reporter)
2012.07.18 18:23

[Subversion] r16828 by flop25 on branch 2.4

-----[Subversion commit log]----------------------------------------------------
merge r16827 from trunk to 2.4 branch
bug:2698
2 id identical
fieldset instead of a span
moving up the field for autoorder
hiding the link to set a autoorder if there is no album (clicking on it didn't do anything)merge r16825
(0006489)
plg (manager)
2012.07.18 18:29

OK, better with [Subversion] r16828. Now can we display the 2 links " create a new album | apply automatic sort order" *before* the associated fieldsets? (just like in 2.4.1). The bug is about the behavior of the Enter key, not about the position of the fieldsets.
(0006490)
svn (reporter)
2012.07.18 18:35

[Subversion] r16829 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:2698
at the bottom!
(0006491)
svn (reporter)
2012.07.18 18:37

[Subversion] r16830 by flop25 on branch 2.4

-----[Subversion commit log]----------------------------------------------------
merge r16829 from trunk to 2.4
bug:2698
at the bottom!
(0006492)
flop25 (developer)
2012.07.18 18:37

better sir?
(0006493)
plg (manager)
2012.07.18 19:26

> better sir?

Yes, back to the same behavior as in 2.4.1 (I wonder why you changed it, really...)

- Issue History
Date Modified Username Field Change
2012.07.16 15:21 Goulou New Issue
2012.07.16 15:21 Goulou browser => Mozilla
2012.07.16 15:21 Goulou Web server => Apache 1.3.x
2012.07.18 16:27 flop25 Status new => assigned
2012.07.18 16:27 flop25 Assigned To => flop25
2012.07.18 16:33 svn Checkin
2012.07.18 16:33 svn Note Added: 0006482
2012.07.18 16:35 svn Checkin
2012.07.18 16:35 svn Note Added: 0006483
2012.07.18 17:33 plg File Added: localhost screen capture 2012-7-18-17-31-39.png
2012.07.18 17:33 plg File Added: localhost screen capture 2012-7-18-17-31-47.png
2012.07.18 17:33 plg Note Added: 0006485
2012.07.18 17:36 plg Note Added: 0006486
2012.07.18 18:19 svn Checkin
2012.07.18 18:19 svn Note Added: 0006487
2012.07.18 18:23 svn Checkin
2012.07.18 18:23 svn Note Added: 0006488
2012.07.18 18:29 plg Note Added: 0006489
2012.07.18 18:35 svn Checkin
2012.07.18 18:35 svn Note Added: 0006490
2012.07.18 18:37 svn Checkin
2012.07.18 18:37 svn Note Added: 0006491
2012.07.18 18:37 flop25 Note Added: 0006492
2012.07.18 19:26 plg Note Added: 0006493
2012.07.19 10:51 flop25 Status assigned => closed
2012.07.19 10:51 flop25 Resolution open => fixed
2012.07.19 10:51 flop25 Fixed in Version => 2.4.2


Copyright © 2000 - 2018 MantisBT Team
Contact
Powered by Mantis Bugtracker